Bug 238374 - yum processing of Conflicts: vs. arch choice.
yum processing of Conflicts: vs. arch choice.
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: James Antill
:
Depends On:
Blocks: multilib
  Show dependency treegraph
 
Reported: 2007-04-29 19:06 EDT by David Woodhouse
Modified: 2014-01-21 17:58 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-30 11:29:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Woodhouse 2007-04-29 19:06:34 EDT
# rpm -qp --conflicts testpkg-1-1.ppc.rpm 
kernel-ppc64  
 # rpm -qp --conflicts testpkg-1-1.ppc64.rpm 
(none)
 # yum install testpkg
Loading "installonlyn" plugin
Setting up Install Process
Parsing package install arguments
Resolving Dependencies
--> Running transaction check
---> Package testpkg.ppc64 0:1-1 set to be updated
---> Package testpkg.ppc 0:1-1 set to be updated
--> Processing Conflict: testpkg conflicts kernel-ppc64
--> Finished Dependency Resolution
Error: testpkg conflicts with kernel-ppc64
 # yum install testpkg.ppc64
Loading "installonlyn" plugin
Setting up Install Process
Parsing package install arguments
Resolving Dependencies
--> Running transaction check
---> Package testpkg.ppc64 0:1-1 set to be updated

Dependencies Resolved

=============================================================================
 Package                 Arch       Version          Repository        Size 
=============================================================================
Installing:
 testpkg                 ppc64      1-1              test              4.4 k

Transaction Summary
=============================================================================
Install      1 Package(s)         
Update       0 Package(s)         
Remove       0 Package(s)         

Total download size: 4.4 k
Is this ok [y/N]: y
Downloading Packages:
Running Transaction Test
Finished Transaction Test
Transaction Test Succeeded
Running Transaction
  Installing: testpkg                      ######################### [1/1] 

Installed: testpkg.ppc64 0:1-1
Complete!



The 'Conflicts: kernel-ppc64' in testpkg.ppc was an attempt to make yum choose
the 64-bit version _just_ for this one package. Although choosing 32-bit is
correct for _almost_ everything in the distribution, there are one or two
packages where we actually want 64-bit -- systemtap, for example.

Making the 32-bit version conflict with a 64-bit kernel is one potential way to
meet that requirement, but it doesn't seem to have the desired effect -- even
with the skipbroken plugin.

The other approach I can think of is a yum plugin. But I don't like that because
it would have to have a hard-coded list of packages. Even if that list only
contains one or two packages, it's still a hard-coded list, which is bad.
Comment 1 David Woodhouse 2007-04-29 19:34:51 EDT
Oh, I lie. It _does_ work with the skipbroken plugin if I actually add
--skip-broken on the command line. 
Comment 2 Jeremy Katz 2007-04-30 14:47:00 EDT
Which version of yum was this with?
Comment 3 David Woodhouse 2007-04-30 15:02:41 EDT
rawhide: 3.1.7
Comment 4 Seth Vidal 2008-03-12 10:21:43 EDT
Does this improve with multilib_policy=best? And other than a whitelist per-arch
for things like kernel, gdb, etc or labeling the packages with a special
provides I don't know of a way out of this particular problem.
Comment 5 Bug Zapper 2008-05-13 22:49:55 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Seth Vidal 2008-05-30 11:29:05 EDT
closing as insufficient_data but I do believe we've made it _better_ than it was

Note You need to log in before you can comment on or make changes to this bug.